Alerta de Segurança Debian

DSA-659-1 libpam-radius-auth -- vazamento de informação, underflow de inteiro

Data do Alerta:
26 Jan 2005
Pacotes Afetados:
libpam-radius-auth
Vulnerável:
Sim
Referência à base de dados de segurança:
No dicionário CVE do Mitre: CVE-2004-1340, CVE-2005-0108.
Informações adicionais:

Dois problemas foram descobertos no pacote libpam-radius-auth, o módulo de autenticação PAM para RADIUS. O Common Vulnerabilities and Exposures Project identificou os seguintes problemas:

  • CAN-2004-1340

    O pacote Debian instalava acidentalmente seu arquivo de configuração /etc/pam_radius_auth.conf legível por todos. Ele poderia conter segredos que todos os usuários locais poderiam ler caso o administrador não tivesse ajustado as pesmissões do arquivo. Este problema é específico do Debian.

  • CAN-2005-0108

    Leon Juranic descobriu um underflow de inteiro no módulo mod_auth_radius do Apache, que também está presente na libpam-radius-auth.

Na distribuição estável (woody), estes problemas foram corrigidos na versão 1.3.14-1.3.

Na distribuição instável (sid), estes problemas foram corrigidos na versão 1.3.16-3.

Nós recomendamos que você atualize seu pacote libpam-radius-auth.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3.dsc
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3.diff.gz
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/libp/libpam-radius-auth/libpam-radius-auth_1.3.14-1.3_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.